aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <kleiner_otti@gmx.de>2010-12-19 13:56:57 +0100
committerChristoph Junghans <kleiner_otti@gmx.de>2010-12-19 13:56:57 +0100
commit0d3a6cebed004fc9c94747902642f6ef43a2d526 (patch)
tree1bb1405880942b87c1a5e8ec5ff876712376c9a3 /dev-vcs/mercurial-server
parent[sci-mathematics/dolfin] Initial import. (diff)
downloadsci-0d3a6cebed004fc9c94747902642f6ef43a2d526.tar.gz
sci-0d3a6cebed004fc9c94747902642f6ef43a2d526.tar.bz2
sci-0d3a6cebed004fc9c94747902642f6ef43a2d526.zip
[dev-vcs/mercurial-server] version bump
(Portage version: 2.1.9.24/git/Linux i686, signed Manifest commit with key A9ECD7F9)
Diffstat (limited to 'dev-vcs/mercurial-server')
-rw-r--r--dev-vcs/mercurial-server/ChangeLog6
-rw-r--r--dev-vcs/mercurial-server/Manifest10
-rw-r--r--dev-vcs/mercurial-server/mercurial-server-1.1.ebuild79
3 files changed, 91 insertions, 4 deletions
diff --git a/dev-vcs/mercurial-server/ChangeLog b/dev-vcs/mercurial-server/ChangeLog
index 09af57c5d..c67bc775b 100644
--- a/dev-vcs/mercurial-server/ChangeLog
+++ b/dev-vcs/mercurial-server/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*mercurial-server-1.1 (19 Dec 2010)
+
+ 19 Dec 2010; Christoph Junghans <kleiner_otti@gmx.de>
+ +mercurial-server-1.1.ebuild:
+ version bump
+
27 Jun 2010; Justin Lecher <jlec@gentoo.org>
mercurial-server-1.0.1.ebuild:
Python ABI fixes
diff --git a/dev-vcs/mercurial-server/Manifest b/dev-vcs/mercurial-server/Manifest
index 970a64d3e..71b79ff1c 100644
--- a/dev-vcs/mercurial-server/Manifest
+++ b/dev-vcs/mercurial-server/Manifest
@@ -3,13 +3,15 @@ Hash: SHA1
AUX mercurial-server-0.9-docbook-path.patch 1038 RMD160 41262720f38576b47bdbb8a22097f54ddaa57c25 SHA1 52bc6cfd6fb1ff125b65f1a4a58e4b672ab3895e SHA256 7f443fe6f54fd62db06c93ae8340cda2e1e39052f0121cdf13fa68aa11630c7e
DIST mercurial-server_1.0.1.tar.gz 20302 RMD160 e6ba21bca38f4b9cb48229fe000779dcf9b39072 SHA1 9f9b5b4a6f2a0cbbae8374db744350561618ff8d SHA256 6d67b8584730883c83972d35cf77bd1b45e7d2222458c5c3ac4ae94b3ec8f1ee
+DIST mercurial-server_1.1.tar.gz 21166 RMD160 d6e1e0c4706c1be750f1ed1f79b76b4d07ec1a94 SHA1 229a17dc84824e1341ad99734d16c426a4e2b639 SHA256 34b18275d48397122aed519f91eb3602983ef952597ed807de868b413ead7091
EBUILD mercurial-server-1.0.1.ebuild 2340 RMD160 9c09d4231596dda0d0f3da4a185bad60da9fb7f4 SHA1 4297d65aeba9fb24a9c4b416980010c46e7b3129 SHA256 3e5e72c0a313cce8e2c1769d4946b6cb2352b6ead3dc4055ac9228bf1705765c
-MISC ChangeLog 1527 RMD160 b6e5b207408f32ae09cd6cae9fd3be2015ccf9cc SHA1 04e0f5252694ed5a685901c59f4af2cbd216b63c SHA256 35d8bd707a9eb39cb7072d6563b072f38fc5f5c4d2324bfd0b6d653aa9eb0e9d
+EBUILD mercurial-server-1.1.ebuild 2717 RMD160 329d45f718639e0d161668771d85978110c17a88 SHA1 e79f485356411aaa0f1a0c93851be012d3e4ea11 SHA256 9e9d6c18a3c5788082cc2a5aea2d1ef32b793445a8e0c679b7034bb71750c327
+MISC ChangeLog 1668 RMD160 e76b02afd883099627687daf018470d207a250cb SHA1 f683e859de5bbcde9f59256fe26154c147494534 SHA256 c074d00b778b934c67cdfc20d3c09a3de724caf0c2a61b962a304bde2bac3a9e
MISC metadata.xml 220 RMD160 fd3dba7eeac39bb91e6658be7d4d846249c1c329 SHA1 0aafe188f55c4c22697755bea33de012cccf3f49 SHA256 0b5c322d93461039b700509ae2671b429f0637f66596c61e48ebba9e365c9f92
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.16 (GNU/Linux)
-iEYEARECAAYFAkyHoRMACgkQy0OE/ans1/lWKACffX6Y88R4CaZLUFDSKHXH6fUc
-sekAnRk6otKGQLN7gaoujJYBfVEtXWXd
-=Fm5N
+iEUEARECAAYFAk0OARgACgkQy0OE/ans1/n9qgCUCWK57MWOoftfQE/iIzQ5FW+0
+MwCcDZwIPvO6VWOCUV1chmMXxL+0cHI=
+=qLgl
-----END PGP SIGNATURE-----
diff --git a/dev-vcs/mercurial-server/mercurial-server-1.1.ebuild b/dev-vcs/mercurial-server/mercurial-server-1.1.ebuild
new file mode 100644
index 000000000..1c59dde1a
--- /dev/null
+++ b/dev-vcs/mercurial-server/mercurial-server-1.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+PYTHON_DEPEND="2"
+
+inherit eutils python
+
+DESCRIPTION="Mercurial authentication and authorization tools"
+HOMEPAGE="http://www.lshift.net/mercurial-server.html"
+SRC_URI="http://dev.lshift.net/paul/mercurial-server/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+RDEPEND="dev-vcs/mercurial"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt"
+
+S="${WORKDIR}/${PN}_${PV}"
+HG_HOME="/var/lib/hg"
+
+pkg_setup() {
+ enewgroup hg
+ enewuser hg -1 /bin/sh "${HG_HOME}" hg
+ keepdir "${HG_HOME}"
+ fowners hg:hg "${HG_HOME}"
+ fperms 700 "${HG_HOME}"
+ python_set_active_version 2
+}
+
+src_compile() {
+ emake DOCBOOK_XSL="${EPREFIX}"/usr/share/sgml/docbook/xsl-stylesheets || die "emake failed"
+}
+
+src_install() {
+ emake installfiles PREFIX="${EPREFIX}"/usr/share \
+ DOCDIR="${EPREFIX}/usr/share/doc/${PF}" \
+ DESTDIR="${D}" || die "emake installfiles failed"
+}
+
+pkg_postinst() {
+ #skip the comments if there is already a hgadmin repo
+ if [ ! -d "${EPREFIX}"/home/hg/repos/hgadmin/.hg ] && \
+ [ ! -d "${EPREFIX}${HG_HOME}"/repos/hgadmin/.hg ]; then
+ #Parts could be done automatically, but maybe there is a user hg
+ elog "This seem to be a first time install, things you may want to do"
+ elog "-Add your public ssh key to root key folder"
+ elog " su -c \"cp ~/.ssh/id_rsa.pub ${EROOT}etc/mercurial-server/keys/root/\${USER}\""
+ elog "-Create hgadmin repo"
+ elog " su - hg -c \"${EROOT}usr/share/mercurial-server/init/hginit ${EROOT}usr/share/mercurial-server\""
+ elog "-Init hg's ssh authorized_keys file"
+ elog " su - hg -c \"${EROOT}usr/share/mercurial-server/refresh-auth\""
+ elog "-Clone hgadmin repo"
+ elog " hg clone ssh://hg@localhost/hgadmin hgadmin"
+ elog "-Start administration"
+ elog " cd hgadmin"
+ elog " mkdir -p keys/root"
+ elog " cp ${ROOT}etc/mercurial-server/keys/root/\${USER} keys/root"
+ elog " cp ${ROOT}etc/mercurial-server/access.conf ."
+ elog " hg add"
+ elog " hg commit -m 'initial commit'"
+ elog " hg push ssh://hg@localhost/hgadmin"
+ elog "-Remove the key in ${EROOT}etc/mercurial-server/keys/root"
+ elog " rm ${EROOT}etc/mercurial-server/keys/root/\${USER}"
+ fi
+ ewarn "If you are upgrading from an older version of ${PN}, please take a look at"
+ ewarn "${EROOT}usr/share/mercurial-server/init/dot-mercurial-server"
+ ewarn "and add missing lines to ~hg/.mercurial-server"
+ ewarn ""
+ ewarn "With ${PN}>=1.1 the default location of the repositories has been"
+ ewarn "moved from ${EROOT}hg/home to ${EROOT}${HG_HOME#/} !"
+ ewarn "home directory can be moved with 'usermod -m -d ${HG_HOME}' hg"
+}